lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From uschind...@apache.org
Subject svn commit: r1210179 - /lucene/dev/nightly/hudson-settings.sh
Date Sun, 04 Dec 2011 19:10:25 GMT
Author: uschindler
Date: Sun Dec  4 19:10:25 2011
New Revision: 1210179

URL: http://svn.apache.org/viewvc?rev=1210179&view=rev
Log:
Fix nocommit check (I wonder why it ever worked!)

Modified:
    lucene/dev/nightly/hudson-settings.sh

Modified: lucene/dev/nightly/hudson-settings.sh
URL: http://svn.apache.org/viewvc/lucene/dev/nightly/hudson-settings.sh?rev=1210179&r1=1210178&r2=1210179&view=diff
==============================================================================
--- lucene/dev/nightly/hudson-settings.sh (original)
+++ lucene/dev/nightly/hudson-settings.sh Sun Dec  4 19:10:25 2011
@@ -39,19 +39,18 @@ TEST_JVM_ARGS="-XX:+HeapDumpOnOutOfMemor
 
 #do some checks that are common to all build scripts:
 set +x
-
-if [ -z "$IGNORE_NOCOMMITS" ]; then
-  echo "Checking for files containing nocommit (exits build with failure if list is non-empty):"
-  set -e
-else
-  echo "Checking for files containing nocommit:"
-  set +e
-fi
+set +e
 cd $WORKSPACE/$ROOT_DIR
-(! find . -name '*.java' | grep -v '/backwards/' | xargs egrep -li -e '\bno(n|)commit\b')
+NOCOMMITS=`find . -name '*.java' | grep -v '/backwards/' | xargs egrep -li -e '\bno(n|)commit\b'`
 cd $WORKSPACE
+if [ -n "$NOCOMMITS" ]; then
+  echo "Found the following nocommits:"
+  echo "$NOCOMMITS"
+  if [ -z "$IGNORE_NOCOMMITS" ]; then
+    exit 1
+  fi
+fi
 set -e
-
 set -x
 
 mkdir -p $DUMP_DIR



Mime
View raw message